<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GeoZoneResult_v2 StructType
 * @subpackage Structs
 */
class GeoZoneResult_v2 extends GeoZone
{
    /**
     * The GeoZoneSeq
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $GeoZoneSeq;
    /**
     * The GeoZoneTNR
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $GeoZoneTNR;
    /**
     * Constructor method for GeoZoneResult_v2
     * @uses GeoZoneResult_v2::setGeoZoneSeq()
     * @uses GeoZoneResult_v2::setGeoZoneTNR()
     * @param int $geoZoneSeq
     * @param int $geoZoneTNR
     */
    public function __construct($geoZoneSeq = null, $geoZoneTNR = null)
    {
        $this
            ->setGeoZoneSeq($geoZoneSeq)
            ->setGeoZoneTNR($geoZoneTNR);
    }
    /**
     * Get GeoZoneSeq value
     * @return int
     */
    public function getGeoZoneSeq()
    {
        return $this->GeoZoneSeq;
    }
    /**
     * Set GeoZoneSeq value
     * @param int $geoZoneSeq
     * @return \StructType\GeoZoneResult_v2
     */
    public function setGeoZoneSeq($geoZoneSeq = null)
    {
        // validation for constraint: int
        if (!is_null($geoZoneSeq) && !(is_int($geoZoneSeq) || ctype_digit($geoZoneSeq))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($geoZoneSeq, true), gettype($geoZoneSeq)), __LINE__);
        }
        $this->GeoZoneSeq = $geoZoneSeq;
        return $this;
    }
    /**
     * Get GeoZoneTNR value
     * @return int
     */
    public function getGeoZoneTNR()
    {
        return $this->GeoZoneTNR;
    }
    /**
     * Set GeoZoneTNR value
     * @param int $geoZoneTNR
     * @return \StructType\GeoZoneResult_v2
     */
    public function setGeoZoneTNR($geoZoneTNR = null)
    {
        // validation for constraint: int
        if (!is_null($geoZoneTNR) && !(is_int($geoZoneTNR) || ctype_digit($geoZoneTNR))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($geoZoneTNR, true), gettype($geoZoneTNR)), __LINE__);
        }
        $this->GeoZoneTNR = $geoZoneTNR;
        return $this;
    }
}
